package tiktok_api

import (
	"fmt"
	order_getSettleBillDetailV3_request "git.rosy.net.cn/baseapi/platformapi/tiktok_shop/sdk-golang/api/order_getSettleBillDetailV3/request"
	"strings"
	"testing"
)

func TestBillDetail(t *testing.T) {
	orderDetail, err := a.GetTiktokOrderDetail("6942903863479899501")
	if err != nil {
		fmt.Println(err)
	}

	childrenOrderList := make([]string, 0, 0)
	for _, v := range orderDetail.SkuOrderList {
		childrenOrderList = append(childrenOrderList, v.OrderId)
	}

	date, datae, err := a.GetSettleBillDetailV3(&order_getSettleBillDetailV3_request.OrderGetSettleBillDetailV3Param{
		Size:    20,
		OrderId: strings.Join(childrenOrderList, ","),
	})
	fmt.Println(date)
	fmt.Println(datae)
	fmt.Println(err)

}

func TestName(t *testing.T) {
	a := 1
	a = a | 1
	fmt.Println(a)
}
